unit frmAlign;

{$MODE Objfpc}
{$h+}

interface

uses
   Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, LResources, ButtonPanel, cdCovers;

type

  { TAlignForm }

  TAlignForm = class(TForm)
    ButtonPanel1: TButtonPanel;
    HorizontalGroup: TRadioGroup;
    VerticalGroup: TRadioGroup;
    procedure FormShow(Sender: TObject);
  private
    function GetH: THAlignAction;
    function GetV: TVAlignAction;
    procedure SetH(const AValue: THAlignAction);
    procedure SetV(const AValue: TVAlignAction);
    { Private declarations }
  public
    { Public declarations }
    Property Horizontal : THAlignAction Read GetH Write SetH;
    Property Vertical : TVAlignAction Read GetV Write SetV;
  end;

var
  AlignForm: TAlignForm;

implementation


procedure TAlignForm.FormShow(Sender: TObject);
begin
  Horizontalgroup.Itemindex:=0;
  VerticalGroup.ItemIndex:=0;
end;

function TAlignForm.GetH: THAlignAction;
begin
  Result:=THAlignAction(HorizontalGroup.ItemIndex);
end;

function TAlignForm.GetV: TVAlignAction;
begin
  Result:=TVAlignAction(VerticalGroup.ItemIndex);
end;

procedure TAlignForm.SetH(const AValue: THAlignAction);
begin
  HorizontalGroup.ItemIndex:=Ord(AValue)
end;

procedure TAlignForm.SetV(const AValue: TVAlignAction);
begin
  VerticalGroup.ItemIndex:=Ord(AValue)
end;


initialization
  {$i frmAlign.lrs}

end.
