unit fraobjectpos;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, StdCtrls, lclmediators,
  fracoverobject, spin;

type

  TFrame = TCoverObjectFrame;

  { TObjectPosFrame }

  TObjectPosFrame = class(TFrame)
    EHeight: TFloatSpinEdit;
    ELeft: TFloatSpinEdit;
    ETop: TFloatSpinEdit;
    EWidth: TFloatSpinEdit;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    LETop: TLabel;
    LHeight: TLabel;
    LWidth: TLabel;
  private
    { private declarations }
    FTopMediator,
    FLeftMediator,
    FWidthMediator,
    FHeightMediator : TFloatSpineditMediator;
  Protected
    function GetTabCaption: String; override;
  public
    { public declarations }
    Procedure InitFrame; override;
  end; 

implementation

{ TObjectPosFrame }

function TObjectPosFrame.GetTabCaption: String;
begin
  Result:='Position and size';
end;

procedure TObjectPosFrame.InitFrame;

   Function SE(ASpinEdit : TFloatSpinEdit;AProperty : String) : TFloatSpineditMediator;

   begin
     Result:=TFloatSpineditMediator.Create(Self);
     Result.Control:=ASpinEdit;
     Result.SubjectPropertyName:=AProperty;
   end;

begin
  inherited InitFrame;
  FTopMediator:=SE(ETop,'Top');
  FLeftMediator:=SE(ELeft,'Left');
  FWidthMediator:=SE(EWidth,'Width');
  FHeightMediator:=SE(EHeight,'Height');
end;

initialization
  {$I fraobjectpos.lrs}

end.

