unit frmnewcover;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  ExtCtrls, StdCtrls, ButtonPanel, cdcovers;

type

  { TNewCoverForm }

  TNewCoverForm = class(TForm)
    ButtonPanel1: TButtonPanel;
    CGPageTypes: TCheckGroup;
    procedure FormCreate(Sender: TObject);
  private
    function GetPageTypes: TPageTypes;
    procedure SetPageTypes(const AValue: TPageTypes);
    { private declarations }
  public
    { public declarations }
    Property PageTypes : TPageTypes Read GetPageTypes Write SetPageTypes;
  end; 

var
  NewCoverForm: TNewCoverForm;

implementation


{ TNewCoverForm }

procedure TNewCoverForm.FormCreate(Sender: TObject);

Var
  T : TPageType;

begin
  With CGPageTypes.Items do
    begin
    BeginUpdate;
    try
      For T:=Low(TPageType) to High(TPageType) do
        Add(PageTypeName(T));
    finally
      EndUpdate;
    end;
    end;
end;

function TNewCoverForm.GetPageTypes: TPageTypes;

Var
  I : Integer;
  T : TPageType;

begin
  Result:=[];
  T:=Low(TpageType);
  For I:=0 to CGPageTypes.Items.Count-1 do
    begin
    If CGPageTypes.Checked[I] then
      Include(Result,T);
    T:=Succ(T);
    end;
end;

procedure TNewCoverForm.SetPageTypes(const AValue: TPageTypes);

Var
  I : Integer;
  T : TPageType;

begin
  T:=Low(TpageType);
  For I:=0 to CGPageTypes.Items.Count-1 do
    begin
    CGPageTypes.Checked[I]:=T in AValue;
    T:=Succ(T);
    end;
end;

initialization
  {$I frmnewcover.lrs}

end.

